/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IArduinosensor;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Arduinosensor implements VertxPojo, IArduinosensor {

    private static final long serialVersionUID = 806133817;

    private Integer ardsenid;
    private Integer fkardid;
    private Integer fksenid;

    public Arduinosensor() {}

    public Arduinosensor(Arduinosensor value) {
        this.ardsenid = value.ardsenid;
        this.fkardid = value.fkardid;
        this.fksenid = value.fksenid;
    }

    public Arduinosensor(
        Integer ardsenid,
        Integer fkardid,
        Integer fksenid
    ) {
        this.ardsenid = ardsenid;
        this.fkardid = fkardid;
        this.fksenid = fksenid;
    }

    @Override
    public Integer getArdsenid() {
        return this.ardsenid;
    }

    @Override
    public Arduinosensor setArdsenid(Integer ardsenid) {
        this.ardsenid = ardsenid;
        return this;
    }

    @Override
    public Integer getFkardid() {
        return this.fkardid;
    }

    @Override
    public Arduinosensor setFkardid(Integer fkardid) {
        this.fkardid = fkardid;
        return this;
    }

    @Override
    public Integer getFksenid() {
        return this.fksenid;
    }

    @Override
    public Arduinosensor setFksenid(Integer fksenid) {
        this.fksenid = fksenid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Arduinosensor (");

        sb.append(ardsenid);
        sb.append(", ").append(fkardid);
        sb.append(", ").append(fksenid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IArduinosensor from) {
        setArdsenid(from.getArdsenid());
        setFkardid(from.getFkardid());
        setFksenid(from.getFksenid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IArduinosensor> E into(E into) {
        into.from(this);
        return into;
    }

    public Arduinosensor(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
